#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
@digits = ("3c 7e 66 66 66 66 66 66 7e 3c","60 70 78 60 60 60 60 60 60 60","3c 7e 66 66 60 30 18 0c 7e 7e","3c 7e 66 60 30 30 60 66 7e 3c","60 70 78 6c 66 66 7e 7e 60 60","7e 7e 06 3e 7e 60 60 60 7e 3e","7c 7e 06 3e 7e 66 66 66 7e 3c","7e 7e 60 30 18 0c 0c 0c 0c 0c","3c 7e 66 66 3c 7e 66 66 7e 3c","3c 7e 66 66 66 7e 7c 60 7e 3e");
($uid,$wsid,$random)=split("&",$ENV{QUERY_STRING});
if ($random && $uid && $wsid)
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_counter READ") if ($locktables);
	$sth=$dbh->query("SELECT vis FROM adc2000popup_counter WHERE (uid=$uid AND wsid=$wsid)");
	$count=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
else
{
	$count=0;
}
$len=8;
$counter = sprintf("%0${len}d",$count);
for ($y=0; $y < 10; $y++)
{
	for ($x=0; $x < $len; $x++){push(@bytes,substr(@digits[substr($counter,$x,1)],$y*3,2));}
}
&closedb;
print "Content-type: image/x-xbitmap\n\n";
print "#define count_width 64\n#define count_height 10\n";
print "static char count_bits[] = {\n";
for($i = 0; $i < ($#bytes + 1); $i++)
{
	print("0x$bytes[$i]");
	if ($i != $#bytes){print(",");if (($i+1) % 7 == 0){print("\n");}}
}
print("};\n");
sub closedb
{
$sth="";
$dbh="";
}
