#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
if ($ENV{CONTENT_LENGTH}>0){$query=<STDIN>;}
else{$query=$ENV{QUERY_STRING};}
@query=split("&",$query);
foreach (@query)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9A-Fa-f]{2})/pack('C',hex($1))/eg;
		if ($data{$field}){$data{$field}.=",$value";}
		else {$data{$field}=$value;}
	}
}

$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT uid,status FROM adc2000popup_users WHERE (username='$data{name}' AND password='$data{password}')");
($uid,$status)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($uid)
{
	$error.="Wrong username or password";
	&error;
}
if ($status==2)
{
	$error.="<li>Your account is temporary disabled. Please contact administration regarding this issue.</li>";
	&error;
}
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$month=$cal{$month};
($day,$nmonth,$ndate,$time,$nyear)=split(" ",scalar localtime(time+$delay*60));
$ndate="$nyear-$cal{$nmonth}-$ndate $time";
srand;
$i=0;
while($i<10)
{
	$di=int(rand(255));
	$di=sprintf('%x',$di);
	$session.="$di";
	$i++;
}
$data{session}=$session;
$sth=$dbh->query("LOCK TABLES adc2000popup_sessions WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_sessions SET sid='$session',ip='$ENV{REMOTE_ADDR}',exptime='$ndate' WHERE uid=$uid");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
print "Location: $cgi/adcmembers.pl?method=initial&session=$session\n\n";
exit;
sub error
{
&closedb;
open (F,"<$adcpath/template/errauth.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub closedb
{
$sth="";
$dbh="";
}
