#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
@data=split("; ",$ENV{HTTP_COOKIE});
foreach (@data)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9a-fA-F]{2})/pack('C',hex ($1))/eg;
		$cook{$field}=$value;
	}
}
@data=();
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$today="$year-$cal{$month}-$date";
($uid,$wsid,$twsid)=split("&",$ENV{QUERY_STRING});
&output_nothing if (!$uid || !$wsid);
$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE, adc2000popup_users WRITE") if ($locktables);
$sth=$dbh->query("SELECT ratio,referrer,adc2000popup_users.status FROM adc2000popup_sites, adc2000popup_users WHERE (adc2000popup_sites.uid=adc2000popup_users.uid AND wsid=$wsid AND adc2000popup_users.uid=$uid)");
($ratio,$referrer,$status)=$sth->fetchrow;
$ratio=0 unless ($ratio);
$sth=$dbh->query("UPDATE adc2000popup_sites SET ldate='$today',credits=credits+$ratio,shown=shown+1 WHERE (uid=$uid AND wsid=$wsid)") if ($status==1);
$sth=$dbh->query("UPDATE adc2000popup_users SET credits=credits+$refratio WHERE (uid=$referrer)") if ($referrer);
if ($twsid)
{
	$sth=$dbh->query("SELECT url FROM adc2000popup_sites WHERE wsid=$twsid");
	$redirect_url=$sth->fetchrow;
}
else
{
	$redirect_url="$furl";
}
&output_code;

sub output_code
{
&closedb;
($day,$date,$month,$time,$year)=split(" ",scalar gmtime(time+$keepcookie*60+$diftime));
if ($useframe)
{
open (F,"<$adcpath/template/frame.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "P3P: CP=\"UNI\"\n";
print "set-cookie: adc2000id=1; expires=$day, $month-$date-$year $time GMT; \n";
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
else
{
print "HTTP/1.0 302 Found\n" if ($sysid eq "Windows");
print "P3P: CP=\"UNI\"\n";
print "set-cookie: adc2000id=1; expires=$day, $month-$date-$year $time GMT; \n";
print "Location: $redirect_url\n\n";
exit;
}
}
sub output_nothing
{
$redirect_url="$furl";
&output_code;
}
sub closedb
{
$sth="";
$dbh="";
}
