#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
if ($ENV{CONTENT_LENGTH}>0){read(STDIN,$data,$ENV{CONTENT_LENGTH});}
else {($data=$ENV{QUERY_STRING});}
@data=split("&",$data);
foreach (@data)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		if ($data{$field}){$data{$field}.=",$value";}
		else {$data{$field}=$value;}
	}
}
$argum=$data{words};
$data{words}=~s/\+/ /g;
$data{words}=~s/%([0-9A-Fa-f]{2})/pack('C',hex($1))/eg;
if ($data{words}=~/\"/)
{
	$data{words}=~s/\"//g;
	push (@words,$data{words});
}
else
{
	@words=split(" ",$data{words});
}
$start=$data{start} || 0;
@data=();
foreach(@words)
{
	if ($_)
	{
		push(@wordz,"(descr LIKE '%$_%' OR keywords LIKE '%$_%')");
	}
}
$wordz=join(" AND ",@wordz);
if ($wordz)
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ, adc2000popup_categories READ") if ($locktables);
	$sth=$dbh->query("SELECT wsname,url,descr,category,subcategory FROM adc2000popup_sites, adc2000popup_categories WHERE (adc2000popup_sites.caid=adc2000popup_categories.caid AND $wordz)");
	while(($wsname,$url,$descr,$category,$subcategory)=$sth->fetchrow)
	{
		$wsname=~s/APOSTROPHH/'/g;
		$category=~s/APOSTROPHH/'/g;
		$subcategory=~s/APOSTROPHH/'/g;
		$credits+=$credts;
		push(@data,"$wsname\t$url\t$descr\t$category: $subcategory");
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
$icount=scalar @data;
$footer="<table width=\"100%\" border=0><tr>";
if ($icount>10)
{
	if ($start>0)
	{
		$pstart=$start-1;
		$footer.="<td width=\"15%\" align=\"center\"><a href=\"$cgi/adcsrch.pl?words=$argum&start=$pstart\"><img src=\"$adcenter/images/prev.gif\" border=0></a></td>";
	}
	else {$footer.="<td width=\"15%\" align=\"center\"></td>";}
	$footer.="<td width=\"70%\" align=\"center\"><font size=1><b>FOUND $icount RECORDS</b></font></td>";
	if ($start*10+10<$icount)
	{
		$nstart=$start+1;
		$footer.="<td width=\"15%\" align=\"center\"><a href=\"$cgi/adcsrch.pl?words=$argum&start=$nstart\"><img src=\"$adcenter/images/next.gif\" border=0></a></td>";
	}
	else {$footer.="<td width=\"15%\" align=\"center\"></td>";}
}
else {$footer.="<td width=\"100%\" align=\"center\"><font size=1><b>FOUND $icount RECORDS</b></font></td>";}
$footer.="</tr></table>";
if ($start*10+10>scalar(@data))
{
	$i=$start*10;
	while($i<scalar(@data))
	{
		($title,$url,$description,$group)=split("\t",$data[$i]);
		$result.="<li><a href=\"$url\"><font size=\"2\"><b>$title - ($url)</b></font></a><br><font size=1>$description</font><br><font size=2><b>CATEGORY: $group</b></li>\n";
		$i++;
	}
}
else
{
	$i=$start*10;
	$last=$i+10;
	while($i<$last)
	{
		($title,$url,$description,$group)=split("\t",$data[$i]);
		$result.="<li><a href=\"$url\"><font size=\"2\"><b>$title - ($url)</b></font></a><br><font size=1>$description</font><br><font size=2><b>CATEGORY: $group</b></li>\n";
		$i++;
	}
}
if (!$result)
{
	$result="<li>Nothing found</li>";
}
&closedb;
open (F,"<$adcpath/template/sres.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
sub closedb
{
$sth="";
$dbh="";
}
