#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
@data=split("; ",$ENV{HTTP_COOKIE});
foreach (@data)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9a-fA-F]{2})/pack('C',hex ($1))/eg;
		$cook{$field}=$value;
	}
}
@data=();
($uid,$wsid,$random)=split("&",$ENV{QUERY_STRING});
&output_nothing if (!$random || !$uid || !$wsid);
$cookiename="adc2000idc_$uid_$wsid";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ, adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT adc2000popup_sites.uid,adc2000popup_users.status FROM adc2000popup_sites, adc2000popup_users WHERE (adc2000popup_sites.uid=adc2000popup_users.uid AND wsid=$wsid)");
($uidcheck,$statusz)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&output_nothing if ($statusz==2 || $uid!=$uidcheck);
$sth=$dbh->query("LOCK TABLES adc2000popup_counter WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_counter SET vis=vis+1 WHERE (wsid=$wsid AND uid=$uid)");
$sth=$dbh->query("UPDATE adc2000popup_counter SET uvis=uvis+1 WHERE (wsid=$wsid AND uid=$uid)") unless ($cook{$cookiename});
&output_code;

sub output_code
{
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
($day,$date,$month,$time,$year)=split(" ",scalar gmtime(time+60*60*24+$diftime));
print "HTTP/1.0 200 OK\n";
print "P3P: CP=\"UNI\"\n";
print "set-cookie: $cookiename=1; expires=$day, $month-$date-$year $time GMT; \n";
print "content-type: application/x-javascript\n\n";
print qq~document.write('<table width=80 height=42 border=0 cellpadding=0 cellspacing=0 background="$adcenter/images/counter.gif"><tr><td align=center valign=center><a href="$furl" target="_top"><img border=0 width=64 height=10 src="$cgi/adccnt.pl?$ENV{QUERY_STRING}"></a></td></tr></table>');~;
exit;
}
sub output_nothing
{
&closedb;
print "HTTP/1.0 200 OK\n";
print "content-type: application/x-javascript\n\n";
print " ";
exit;
}
sub closedb
{
$sth="";
$dbh="";
}
