#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}
$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);

if ($ENV{CONTENT_LENGTH}>0){read(STDIN,$data,$ENV{CONTENT_LENGTH});}
else {($data=$ENV{QUERY_STRING});}
@data=split("&",$data);
foreach (@data)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9a-fA-F]{2})/pack('C',hex($1))/eg;
		if ($data{$field}){$data{$field}="$data{$field},$value";}
		else {$data{$field}=$value;}
	}
}
unless ($data{session})
{
	$error.="Wrong session ID";
	&error_auth;
}
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$datecheck="$year-$cal{$month}-$date $time";
$today="$year-$cal{$month}-$date";
($day,$month,$date,$time,$year)=split(" ",scalar localtime(time-86400));
$datecheck2="$year-$cal{$month}-$date";
($day,$nmonth,$ndate,$time,$nyear)=split(" ",scalar localtime(time+$delay*60));
$ndate="$nyear-$cal{$nmonth}-$ndate $time";
$sth=$dbh->query("LOCK TABLES adc2000popup_asession READ") if ($locktables);
$sth=$dbh->query("SELECT login,password FROM adc2000popup_asession WHERE (sid='$data{session}' AND exptime>'$datecheck' AND ip='$ENV{REMOTE_ADDR}')");
($login,$password)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($login)
{
	$error.="Wrong or expired session ID";
	&error_auth;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_asession WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_asession SET exptime='$ndate'");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$destination=$data{method};
$destination="genset" unless ($destination);
&$destination;

sub genset
{
$selected{genset}="selected";
$inactive_limit=7 if ($inactive_limit eq "");
&closedb;
&methods;
open (F,"<$adcpath/template/agenset.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub general
{
if ($data{alogin} && $data{apassword})
{
	$alogin=crypt($data{alogin},$data{alogin});
	$apassword=crypt($data{apassword},$data{apassword});
	$sth=$dbh->query("LOCK TABLES adc2000popup_asession WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_asession SET login='$data{alogin}',password='$data{apassword}'");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$login=$data{alogin};
	$password=$data{apassword};
}
open (F, ">adc.cfg");
print F qq~#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

\$adcpath="$data{adcpath}";
\$backuppath="$data{backuppath}";
\$cgi="$data{cgi}";
\$adcenter="$data{adcenter}";
\$sysid="$data{sysid}";
\$progmail="$data{progmail}";
\$email='$data{email}';
\$furl="$data{furl}";
\$yourname="$data{yourname}";
\$defaultratio=$data{defaultratio};
\$refratio=$data{refratio};
\$owntitle="$data{owntitle}";
\$startcred=$data{startcred};
\$banheight=$data{banheight};
\$banwidth=$data{banwidth};
\$keepcookie=$data{keepcookie};
\$diftime=$data{diftime};
\$useframe=$data{useframe};
\$enablecounter=$data{enablecounter};
\$enablemaillist=$data{enablemaillist};
\$license="$license";
\$uselwp=$data{uselwp};
\$inactive_limit=$data{inactive_limit};
\$mysqlhost="$data{mysqlhost}";
\$mysqldb="$data{mysqldb}";
\$mysqllogin="$data{mysqllogin}";
\$mysqlpassword="$data{mysqlpassword}";
\$alogin='$alogin';
\$apassword='$apassword';
\$locktables=$data{locktables};
\$delay=$data{delay};
\%cal=('Jan','1','Feb','2','Mar','3','Apr','4','May','5','Jun','6','Jul','7','Aug','8','Sep','9','Oct','10','Nov','11','Dec','12');
\%calendar=('Jan','31','Feb','28','Mar','31','Apr','30','May','31','Jun','30','Jul','31','Aug','31','Sep','30','Oct','31','Nov','30','Dec','31');
\@cal=('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
\@calendar=('0','31','28','31','30','31','30','31','31','30','31','30','31');
~;
close (F);
open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}
&genset;
}
sub globstats
{
$selected{globstats}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ, adc2000popup_sites READ, adc2000popup_pv READ") if ($locktables);
$sth=$dbh->query("SELECT COUNT(*) FROM adc2000popup_users");
$totalusers=$sth->fetchrow || 0;
$sth=$dbh->query("SELECT COUNT(*) FROM adc2000popup_sites");
$totalsites=$sth->fetchrow || 0;
$sth=$dbh->query("SELECT SUM(h00+h01+h02+h03+h04+h05+h06+h07+h08+h09+h10+h11+h12+h13+h14+h15+h16+h17+h18+h19+h20+h21+h22+h23) FROM adc2000popup_pv");
$totalhits=$sth->fetchrow || 0;
$sth=$dbh->query("SELECT SUM(h00+h01+h02+h03+h04+h05+h06+h07+h08+h09+h10+h11+h12+h13+h14+h15+h16+h17+h18+h19+h20+h21+h22+h23) FROM adc2000popup_pv WHERE statd='$today'");
$todayhits=$sth->fetchrow || 0;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/aglobstats.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub affiliate
{
$selected{affiliate}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ, adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT username,wsname,shown FROM adc2000popup_sites, adc2000popup_users WHERE adc2000popup_sites.uid=adc2000popup_users.uid ORDER BY username,wsname");
while(($uid,$wsname,$shown)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	$result.=qq~<tr><td width="20%" bgcolor="#C0C0C0" valign="top"><font size=2><b>$uid</b></font></td><td width="50%" bgcolor="#C0C0C0" valign="top"><font size=2><b>$wsname</b></font></td><td width="30%" align="right" bgcolor="#C0C0C0"><font size=2>$shown</font></td></tr>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/aaffiliate.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub clearaf
{
$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_sites SET shown=0");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&affiliate;
}
sub userman
{
$selected{userman}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT uid,username FROM adc2000popup_users WHERE status=2 ORDER BY username");
while(($uid,$username)=$sth->fetchrow)
{
	$listing.=qq~<option value="$uid">$username ($uid)</option>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/auserman.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub remove
{
$selected{userman}="selected";
&userman unless ($data{username});
$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
$sth=$dbh->query("SELECT uid FROM adc2000popup_users WHERE username='$data{username}'");
$uid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&userman unless ($uid);
&closedb;
&methods;
open (F,"<$adcpath/template/aremove.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub remove_s
{
$selected{userman}="selected";
&userman unless ($data{username});
$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE, adc2000popup_sites WRITE, adc2000popup_tt WRITE, adc2000popup_pv WRITE, adc2000popup_aff WRITE, adc2000popup_counter WRITE, adc2000popup_ml WRITE, adc2000popup_ch WRITE, adc2000popup_sessions WRITE") if ($locktables);
$sth=$dbh->query("DELETE FROM adc2000popup_users WHERE uid=$data{username}");
$sth=$dbh->query("UPDATE adc2000popup_users SET referrer=NULL WHERE referrer=$data{username}");
$sth=$dbh->query("DELETE FROM adc2000popup_sites WHERE uid=$data{username}");
$sth=$dbh->query("DELETE FROM adc2000popup_counter WHERE uid=$data{username}");
$sth=$dbh->query("DELETE FROM adc2000popup_tt WHERE uid=$data{username}");
$sth=$dbh->query("DELETE FROM adc2000popup_pv WHERE uid=$data{username}");
$sth=$dbh->query("DELETE FROM adc2000popup_ml WHERE uid=$data{username}");
$sth=$dbh->query("DELETE FROM adc2000popup_ch WHERE uid=$data{username}");
$sth=$dbh->query("DELETE FROM adc2000popup_aff WHERE uid=$data{username}");
$sth=$dbh->query("DELETE FROM adc2000popup_sessions WHERE uid=$data{username}");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&userman;
}
sub ratio
{
&userman unless ($data{username});
$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_users SET ratio=$data{ratio} WHERE username='$data{username}'");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&userman;
}
sub impcred
{
&userman unless ($data{username});
$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
$sth=$dbh->query("SELECT uid FROM adc2000popup_users WHERE username='$data{username}'");
$uid=$sth->fetchrow;
$sth=$dbh->query("UPDATE adc2000popup_users SET credits=credits+$data{impcred} WHERE username='$data{username}'");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($uid)
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_ch WRITE") if ($locktables);
	$sth=$dbh->query("INSERT INTO adc2000popup_ch (uid,date,amount) VALUES ($uid,'$today',$data{impcred})");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&userman;
}
sub blitz
{
$selected{userman}="selected";
&userman unless ($data{username});
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT uid FROM adc2000popup_users WHERE username='$data{username}'");
$uid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&userman unless ($uid);
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,wsname FROM adc2000popup_sites WHERE uid=$uid");
while(($wsid,$wsname)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	$sites.=qq~<option value="$wsid">$wsname</option>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/ablitz.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub blitz_s
{
if ($data{uid} && $data{wsid})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_sites SET bcredits=bcredits+$data{bcredits} WHERE (uid=$data{uid} AND wsid=$data{wsid})");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&userman;
}
sub wght
{
if ($data{username})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_users SET weight=$data{wght} WHERE username='$data{username}'");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&userman;
}
sub getlist
{
$selected{userman}="selected";
$start=$data{start} || 0;
@data=();
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ, adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT adc2000popup_users.uid,username,ratio,email,adc2000popup_users.credits,SUM(adc2000popup_sites.credits) FROM adc2000popup_users, adc2000popup_sites WHERE adc2000popup_users.uid=adc2000popup_sites.uid GROUP BY adc2000popup_sites.uid ORDER BY username");
while(($uid,$username,$ratio,$email,$credits,$credts)=$sth->fetchrow)
{
	$credits+=$credts;
	push(@data,"$uid\t$username\t$ratio\t$email\t$credits");
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$icount=scalar @data;
$footer="<table width=\"100%\" border=0><tr>";
if ($icount>10)
{
	if ($start>0)
	{
		$pstart=$start-1;
		$footer.="<td width=\"15%\" align=\"center\"><a href=\"$cgi/adcadmin.pl?session=$data{session}&method=getlist&start=$pstart\"><img src=\"$adcenter/images/prev.gif\" border=0></a></td>";
	}
	else {$footer.="<td width=\"15%\" align=\"center\"></td>";}
	$footer.="<td width=\"70%\" align=\"center\"><font size=1><b>$icount MEMBERS IN DATABASE</b></font></td>";
	if ($start*10+10<$icount)
	{
		$nstart=$start+1;
		$footer.="<td width=\"15%\" align=\"center\"><a href=\"$cgi/adcadmin.pl?session=$data{session}&method=getlist&start=$nstart\"><img src=\"$adcenter/images/next.gif\" border=0></a></td>";
	}
	else {$footer.="<td width=\"15%\" align=\"center\"></td>";}
}
else {$footer.="<td width=\"100%\" align=\"center\"><font size=1><b>$icount MEMBERS IN DATABASE</b></font></td>";}
$footer.="</tr></table>";
if ($start*10+10>scalar(@data))
{
	$i=$start*10;
	while($i<scalar(@data))
	{
		($uid,$username,$oratio,$email,$credits)=split("\t",$data[$i]);
		$result.="<li><font size=2><b>Username:</b> <a href=\"$cgi/adcadmin.pl?session=$data{session}&uid=$uid&method=userinfo\">$username</a><br><b>Email:</b> <a href=\"mailto:$email\">$email</a><br><b>Ratio:</b> $oratio<br><b>Unused credits :</b> $credits</font></li>\n";
		$i++;
	}
}
else
{
	$i=$start*10;
	$last=$i+10;
	while($i<$last)
	{
		($uid,$username,$oratio,$email,$credits)=split("\t",$data[$i]);
		$result.="<li><font size=2><b>Username:</b> <a href=\"$cgi/adcadmin.pl?session=$data{session}&uid=$uid&method=userinfo\">$username</a><br><b>Email:</b> <a href=\"mailto:$email\">$email</a><br><b>Ratio:</b> $oratio<br><b>Unused credits :</b> $credits</font></li>\n";
		$i++;
	}
}
if (!$result)
{
	$result="<li>Empty database</li>";
}
&closedb;
&methods;
open (F,"<$adcpath/template/auserlist.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub userinfo
{
$selected{userman}="selected";
if ($data{username})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
	$sth=$dbh->query("SELECT uid FROM adc2000popup_users WHERE username='$data{username}'");
	$uid=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{uid})
{
	$uid=$data{uid};
}
&userman unless ($uid);
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT phone,username,password,fullname,ratio,address,city,zip,coid,email,status,credits FROM adc2000popup_users WHERE uid=$uid");
($phone,$username,$password,$fullname,$ratio,$address,$city,$zip,$country,$email,$statusz,$credits)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_countries READ") if ($locktables);
$sth=$dbh->query("SELECT country FROM adc2000popup_countries WHERE coid=$country");
$country=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$fullname=~s/APOSTROPHH/'/g;
$address=~s/APOSTROPHH/'/g;
$city=~s/APOSTROPHH/'/g;
if ($statusz==1){$statusz="Active";}
elsif ($statusz==2){$statusz="Disabled";}
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT wsname,url,credits,status FROM adc2000popup_sites WHERE uid=$uid ORDER BY wsname");
while(($wsname,$url,$credts,$status)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	if ($status==1)
	{
		$status="Normal";
	}
	elsif ($status==2)
	{
		$status="Collect";
	}
	elsif ($status==3)
	{
		$status="Spend";
	}
	elsif ($status==4)
	{
		$status="Disabled";
	}
	$res.=qq~<tr><td><font size=2>$wsname</font></td><td><font size=2>$url</font></td><td><font size=2>$credts</font></td><td><font size=2>$status</font></td></tr>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/auserinfo.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub disable
{
if ($data{username})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_users SET status=2 WHERE username='$data{username}'");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&userman;
}
sub enable
{
if ($data{username})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_users SET status=1 WHERE uid=$data{username}");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&userman;
}
sub inactive
{
$selected{inactive}="selected";
($day,$month,$date,$time,$year)=split(" ",scalar localtime(time-86400*$inactive_limit));
$today="$year-$cal{$month}-$date";
$start=$data{start} || 0;
@data=();
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ, adc2000popup_sites READ") if ($locktables);
$sth=$dbh->query("SELECT adc2000popup_users.uid,username,wsname,email,adc2000popup_sites.credits FROM adc2000popup_users, adc2000popup_sites WHERE (adc2000popup_users.uid=adc2000popup_sites.uid AND ldate<'$today' AND adc2000popup_users.status=1) ORDER BY username,wsname");
while(($uid,$username,$wsname,$email,$credits)=$sth->fetchrow)
{
	$wsname=~s/APOSTROPHH/'/g;
	push(@data,"$uid\t$username\t$wsname\t$email\t$credits");
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$icount=scalar @data;
$footer="<table width=\"100%\" border=0><tr>";
if ($icount>10)
{
	if ($start>0)
	{
		$pstart=$start-1;
		$footer.="<td width=\"15%\" align=\"center\"><a href=\"$cgi/adcadmin.pl?session=$data{session}&method=inactive&start=$pstart\"><img src=\"$adcenter/images/prev.gif\" border=0></a></td>";
	}
	else {$footer.="<td width=\"15%\" align=\"center\"></td>";}
	$footer.="<td width=\"70%\" align=\"center\"><font size=1><b>$icount INACTIVE ACCOUNTS</b></font></td>";
	if ($start*10+10<$icount)
	{
		$nstart=$start+1;
		$footer.="<td width=\"15%\" align=\"center\"><a href=\"$cgi/adcadmin.pl?session=$data{session}&method=inactive&start=$nstart\"><img src=\"$adcenter/images/next.gif\" border=0></a></td>";
	}
	else {$footer.="<td width=\"15%\" align=\"center\"></td>";}
}
else {$footer.="<td width=\"100%\" align=\"center\"><font size=1><b>$icount INACTIVE ACCOUNTS</b></font></td>";}
$footer.="</tr></table>";
if ($start*10+10>scalar(@data))
{
	$i=$start*10;
	while($i<scalar(@data))
	{
		($uid,$username,$wsname,$email,$credits)=split("\t",$data[$i]);
		$result.="<li><font size=2><b>Username:</b> <a href=\"$cgi/adcadmin.pl?session=$data{session}&uid=$uid&method=userinfo\">$username</a><br><b>Email:</b> <a href=\"mailto:$email\">$email</a><br><b>Website name:</b> $wsname<br><b>Unused credits :</b> $credits</font></li>\n";
		$i++;
	}
}
else
{
	$i=$start*10;
	$last=$i+10;
	while($i<$last)
	{
		($uid,$username,$wsname,$email,$credits)=split("\t",$data[$i]);
		$result.="<li><font size=2><b>Username:</b> <a href=\"$cgi/adcadmin.pl?session=$data{session}&uid=$uid&method=userinfo\">$username</a><br><b>Email:</b> <a href=\"mailto:$email\">$email</a><br><b>Website name:</b> $wsname<br><b>Unused credits :</b> $credits</font></li>\n";
		$i++;
	}
}
if (!$result)
{
	$result="<li>No inactive accounts</li>";
}
&closedb;
&methods;
open (F,"<$adcpath/template/ainactive.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub tasman
{
$selected{tasman}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_categories READ") if ($locktables);
$sth=$dbh->query("SELECT caid,category,subcategory FROM adc2000popup_categories ORDER BY category,subcategory");
while (($caid,$category,$subcategory)=$sth->fetchrow)
{
	$category=~s/APOSTROPHH/'/g;
	$subcategory=~s/APOSTROPHH/'/g;
	if ($curcat ne $category)
	{
		
		if ($field==1)
		{
			$result.=qq~<td>&nbsp;</td><td>&nbsp;</td></tr>\n~;
			$field=0;
		}
		$result.="<tr><td colspan=2><font size=2><b>$category</b></font></td></tr>\n";
		$curcat=$category;
	}
	if (!$field)
	{
		if ($target=~/#$caid#/)
		{
			$result.=qq~<tr><td width="10%"><input type=checkbox name=target value="$caid" checked></td><td width="40%"><font size=2>$subcategory</font></td>~;
		}
		else
		{
			$result.=qq~<tr><td width="10%"><input type=checkbox name=target value="$caid"></td><td width="40%"><font size=2>$subcategory</font></td>~;
		}
		$field=1;
	}
	elsif ($field)
	{
		if ($target=~/#$caid#/)
		{
			$result.=qq~<td width="10%"><input type=checkbox name=target value="$caid" checked></td><td width="40%"><font size=2>$subcategory</font></td></tr>~;
		}
		else
		{
			$result.=qq~<td width="10%"><input type=checkbox name=target value="$caid"></td><td width="40%"><font size=2>$subcategory</font></td></tr>~;
		}
		$field=0;
	}
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($field==1)
{
	$result.=qq~<td>&nbsp;</td><td>&nbsp;</td></tr>\n~;
	$field=0;
}
&closedb;
&methods;
open (F,"<$adcpath/template/atasman.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub category
{
@target=split(",",$data{target});
$sth=$dbh->query("LOCK TABLES adc2000popup_categories WRITE") if ($locktables);
foreach(@target){$sth=$dbh->query("DELETE FROM adc2000popup_categories WHERE caid=$_") if ($_);}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&tasman;
}
sub addcateg
{
if ($data{categ} && $data{subcateg})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_categories WRITE") if ($locktables);
	$sth=$dbh->query("INSERT INTO adc2000popup_categories (category,subcategory) VALUES ('$data{categ}','$data{subcateg}')");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&tasman;
}
sub checkurl
{
$selected{checkurl}="selected";
if ($uselwp)
{
	$spiderscript="adcspiderlwp.pl";
}
else
{
	$spiderscript="adcspider.pl";
}
srand;
$random=rand;
&closedb;
&methods;
open (F,"<$adcpath/template/acheckurl.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub maillist
{
$selected{maillist}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT COUNT(DISTINCT email) FROM adc2000popup_users");
$total=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
&methods;
open (F,"<$adcpath/template/amaillist.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub maillist_download
{
if ($data{type}==1)
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
	$sth=$dbh->query("SELECT DISTINCT email FROM adc2000popup_users ORDER BY email");
	while($email=$sth->fetchrow)
	{
		$list.="$email\n";
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type}==1)
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_ml READ") if ($locktables);
	$sth=$dbh->query("SELECT DISTINCT email FROM adc2000popup_ml ORDER BY email");
	while($email=$sth->fetchrow)
	{
		$list.="$email\n";
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&closedb;
print "content-disposition: filename=\"adc2000popup_maillist.txt\"; \n";
print "content-type: application/adc2000maillist\n\n";
binmode STDOUT;
print $list;
exit;
}
sub maillist_send
{
$selected{maillist}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT DISTINCT email FROM adc2000popup_users");
while ($total=$sth->fetchrow)
{
	push(@emails,$total);
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_settings READ") if ($locktables);
$sth=$dbh->query("SELECT headerl,footerl FROM adc2000popup_settings");
($headerl,$footerl)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$headerl=~s/APOSTROPHH/'/g;
$footerl=~s/APOSTROPHH/'/g;
$count=0;
if (@emails>0)
{
	foreach(@emails)
	{
		$count++;
		open (MAIL,"|$progmail");
		print MAIL "To: $_\n";
		print MAIL "From: $email ($owntitle)\n";
		print MAIL "Subject: $data{subject}\n\n";
		print MAIL $headerl;
		print MAIL "$data{body}\n\n";
		print MAIL $footerl;
		print MAIL "\n.\n";
		close (MAIL);
	}
}
&closedb;
&methods;
open (F,"<$adcpath/template/amaillist_send.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub systools
{
$selected{systools}="selected";
$status.="Backup system status:<br>";
($atime,$mtime)=(stat("$_$file"))[8,9];
opendir(Dir,"$backuppath");
@files=readdir(Dir);
closedir(Dir);
shift(@files);
shift(@files);
if (@files)
{
	($atime,$mtime)=(stat("$backuppath/$files[0]"))[8,9];
	($day,$month,$date,$time,$year)=split(" ",scalar localtime($mtime));
	$status.="Database was backed up on $date/$month/$year $time";
}
else
{
	$status.="Database wasnt backed up.";
}
&closedb;
&methods;
open (F,"<$adcpath/template/asystools.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub backup_data
{
$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE, adc2000popup_sites WRITE, adc2000popup_pv WRITE, adc2000popup_tt WRITE, adc2000popup_aff WRITE, adc2000popup_settings WRITE, adc2000popup_counter WRITE, adc2000popup_ml WRITE, adc2000popup_countries WRITE, adc2000popup_categories WRITE, adc2000popup_sessions WRITE, adc2000popup_asession WRITE, adc2000popup_ch WRITE") if ($locktables);
$sth=$dbh->query("BACKUP TABLE adc2000popup_users, adc2000popup_sites, adc2000popup_pv, adc2000popup_tt, adc2000popup_aff, adc2000popup_settings, adc2000popup_counter, adc2000popup_ml, adc2000popup_countries, adc2000popup_categories, adc2000popup_sessions, adc2000popup_asession, adc2000popup_ch TO '$backuppath'");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&systools;
}
sub delete_backup
{
opendir(Dir,"$backuppath");
@files=readdir(Dir);
closedir(Dir);
shift(@files);
shift(@files);
foreach(@files)
{
	unlink("$backuppath/$_");
}
&systools;
}
sub install_backup
{
opendir(Dir,"$backuppath");
@files=readdir(Dir);
closedir(Dir);
shift(@files);
shift(@files);
if(@files)
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE, adc2000popup_sites WRITE, adc2000popup_pv WRITE, adc2000popup_tt WRITE, adc2000popup_aff WRITE, adc2000popup_settings WRITE, adc2000popup_counter WRITE, adc2000popup_ml WRITE, adc2000popup_countries WRITE, adc2000popup_categories WRITE, adc2000popup_sessions WRITE, adc2000popup_asession WRITE, adc2000popup_ch WRITE") if ($locktables);
	$sth=$dbh->query("DROP TABLE adc2000popup_users, adc2000popup_sites, adc2000popup_pv, adc2000popup_tt, adc2000popup_aff, adc2000popup_settings, adc2000popup_counter, adc2000popup_ml, adc2000popup_countries, adc2000popup_categories, adc2000popup_sessions, adc2000popup_asession, adc2000popup_ch");
	$sth=$dbh->query("RESTORE TABLE adc2000popup_users, adc2000popup_sites, adc2000popup_pv, adc2000popup_tt, adc2000popup_aff, adc2000popup_settings, adc2000popup_counter, adc2000popup_ml, adc2000popup_countries, adc2000popup_categories, adc2000popup_sessions, adc2000popup_asession, adc2000popup_ch FROM '$backuppath'");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&systools;
}
sub reset_db
{
$selected{systools}="selected";
&closedb;
&methods;
open (F,"<$adcpath/template/ardb.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub reset_db1
{
if ($data{type} eq "Popup stats")
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_pv WRITE") if ($locktables);
	$sth=$dbh->query("DELETE FROM adc2000popup_pv");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "User affiliate stats")
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_aff WRITE") if ($locktables);
	$sth=$dbh->query("DELETE FROM adc2000popup_aff");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "Admin affiliate stats")
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_users SET shown=0");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "Counter stats")
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_counter WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_counter SET vis=0,uvis=0");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "Credits history")
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_ch WRITE") if ($locktables);
	$sth=$dbh->query("DELETE FROM adc2000popup_ch");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&systools;
}
sub reset_stats
{
$selected{systools}="selected";
&closedb;
&methods;
open (F,"<$adcpath/template/arstats.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub reset_stats1
{
$sth=$dbh->query("LOCK TABLES adc2000popup_pv WRITE") if ($locktables);
$sth=$dbh->query("DELETE FROM adc2000popup_pv WHERE statd<'$data{year}-$data{month}-$data{date}'");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&systools;
}
sub bulkremove
{
$selected{systools}="selected";
&closedb;
&methods;
open (F,"<$adcpath/template/abulkremove.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub bulkremove_c
{
if ($data{type} eq "inactive")
{
	($day,$month,$date,$time,$year)=split(" ",scalar localtime(time-86400*$inactive_limit));
	$today="$year-$cal{$month}-$date";
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ") if ($locktables);
	$sth=$dbh->query("SELECT wsid,uid FROM adc2000popup_sites WHERE ldate<'$today'");
	while(($wsid,$uid)=$sth->fetchrow)
	{
		push(@wsids,"$wsid\t$uid");
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE, adc2000popup_users WRITE, adc2000popup_pv WRITE, adc2000popup_tt WRITE, adc2000popup_counter WRITE, adc2000popup_aff WRITE, adc2000popup_sessions WRITE, adc2000popup_ml WRITE") if ($locktables);
	foreach (@wsids)
	{
		($wsid,$uid)=split("\t",$_);
		if ($wsid)
		{
			$sth=$dbh->query("DELETE FROM adc2000popup_sites WHERE wsid=$wsid");
			$sth=$dbh->query("DELETE FROM adc2000popup_pv WHERE wsid=$wsid");
			$sth=$dbh->query("DELETE FROM adc2000popup_tt WHERE wsid=$wsid");
			$sth=$dbh->query("DELETE FROM adc2000popup_counter WHERE wsid=$wsid");
			$sth=$dbh->query("DELETE FROM adc2000popup_aff WHERE wsid=$wsid");
			$sth=$dbh->query("SELECT COUNT(*) FROM adc2000popup_sites WHERE uid=$uid");
			$total=$sth->fetchrow;
			unless ($total)
			{
				$sth=$dbh->query("DELETE FROM adc2000popup_ml WHERE uid=$uid");
				$sth=$dbh->query("DELETE FROM adc2000popup_sessions WHERE uid=$uid");
				$sth=$dbh->query("DELETE FROM adc2000popup_users WHERE uid=$uid");
			}
		}
	}
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
elsif ($data{type} eq "all")
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE, adc2000popup_users WRITE, adc2000popup_pv WRITE, adc2000popup_tt WRITE, adc2000popup_counter WRITE, adc2000popup_aff WRITE, adc2000popup_sessions WRITE, adc2000popup_ml WRITE") if ($locktables);
	$sth=$dbh->query("DELETE FROM adc2000popup_sites");
	$sth=$dbh->query("DELETE FROM adc2000popup_pv");
	$sth=$dbh->query("DELETE FROM adc2000popup_tt");
	$sth=$dbh->query("DELETE FROM adc2000popup_counter");
	$sth=$dbh->query("DELETE FROM adc2000popup_aff");
	$sth=$dbh->query("DELETE FROM adc2000popup_ml");
	$sth=$dbh->query("DELETE FROM adc2000popup_sessions");
	$sth=$dbh->query("DELETE FROM adc2000popup_users");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
&systools;
}
sub headfoot
{
$selected{headfoot}="selected";
$sth=$dbh->query("LOCK TABLES adc2000popup_settings READ") if ($locktables);
$sth=$dbh->query("SELECT headera,footera,headeru,footeru,headerl,footerl,headerul,footerul FROM adc2000popup_settings");
($headera,$footera,$headeru,$footeru,$headerl,$footerl,$headerul,$footerul)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$headera=~s/APOSTROPHH/'/g;
$footera=~s/APOSTROPHH/'/g;
$headeru=~s/APOSTROPHH/'/g;
$footeru=~s/APOSTROPHH/'/g;
$headerl=~s/APOSTROPHH/'/g;
$footerl=~s/APOSTROPHH/'/g;
$headerul=~s/APOSTROPHH/'/g;
$footerul=~s/APOSTROPHH/'/g;
&closedb;
&methods;
open (F,"<$adcpath/template/aheadfoot.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub headfoot_s
{
$data{headera}=~s/'/APOSTROPHH/g;
$data{footera}=~s/'/APOSTROPHH/g;
$data{headeru}=~s/'/APOSTROPHH/g;
$data{footeru}=~s/'/APOSTROPHH/g;
$data{headerl}=~s/'/APOSTROPHH/g;
$data{footerl}=~s/'/APOSTROPHH/g;
$data{headerul}=~s/'/APOSTROPHH/g;
$data{footerul}=~s/'/APOSTROPHH/g;
$data{headera}=~s/\r//g;
$data{footera}=~s/\r//g;
$data{headeru}=~s/\r//g;
$data{footeru}=~s/\r//g;
$data{headerl}=~s/\r//g;
$data{footerl}=~s/\r//g;
$data{headerul}=~s/\r//g;
$data{footerul}=~s/\r//g;
$sth=$dbh->query("LOCK TABLES adc2000popup_settings WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_settings SET headera='$data{headera}',footera='$data{footera}',headeru='$data{headeru}',footeru='$data{footeru}',headerl='$data{headerl}',footerl='$data{footerl}',headerul='$data{headerul}',footerul='$data{footerul}'");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&headfoot;
}
sub logout
{
$sth=$dbh->query("LOCK TABLES adc2000popup_asession WRITE") if ($locktables);
$sth=$dbh->query("UPDATE adc2000popup_asession SET sid=NULL,ip=NULL,exptime=NULL,login=NULL,password=NULL");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
print "HTTP/1.0 302 Found\n" if ($sysid eq "Windows");
print "Location: $adcenter\n\n";
}
sub error_auth
{
&closedb;
open (F,"<$adcpath/template/aerrauth.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub closedb
{
$sth="";
$dbh="";
}
sub methods
{
$methods=qq~
<option value="genset" $selected{genset}>General Settings</option>
<option value="headfoot" $selected{headfoot}>Edit headers/footers</option>
<option value="globstats" $selected{globstats}>Global Stats</option>
<option value="affiliate" $selected{affiliate}>Affiliate Stats</option>
<option value="userman" $selected{userman}>User Management</option>
<option value="inactive" $selected{inactive}>Inactive accounts</option>
<option value="tasman" $selected{tasman}>Categories</option>
<option value="maillist" $selected{maillist}>Mailing List</option>
<option value="systools" $selected{systools}>System tools</option>
<option value="logout">Log out</option>
~;
}
