#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
@data=split("; ",$ENV{HTTP_COOKIE});
foreach (@data)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9a-fA-F]{2})/pack('C',hex ($1))/eg;
		$cookie{$field}=$value;
	}
}
@data=();
read (STDIN,$query,$ENV{CONTENT_LENGTH});
@query=split("&",$query);
foreach (@query)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9A-Fa-f]{2})/pack('C',hex($1))/eg;
		$data{$field}=$value;
	}
}
$data{Username}=substr($data{Username},0,8) if (length($data{Username})>8);
open (F,"<$basepath/adcenter.pwd");
flock(F,$LOCK_EX);
@users=<F>;
flock(F,$LOCK_UN);
close (F);
$data{Username}=~tr/A-Z/a-z/;
if (!$data{Name})
{
	$errors.="Incorrect <b>name</b>, you must put first and last name<br>\n";
	$flag=1;
}
if (!$data{agree})
{
	$errors.="You must agree with terms and conditions<br>\n";
	$flag=1;
}
if (!$data{Address})
{
	$errors.="Incorrect <b>address</b>, you must put your address<br>\n";
	$flag=1;
}
if (!$data{City})
{
	$errors.="Incorrect <b>city</b>, you must put city where are you live<br>\n";
	$flag=1;
}
if (!$data{ZipCode})
{
	$errors.="Incorrect <b>zip</b> code, you must put zip code<br>\n";
	$flag=1;
}
if (!$data{Phone})
{
	$errors.="Incorrect <b>phone</b> number, you must put it<br>\n";
	$flag=1;
}
unless ($data{EMail}=~/^[\w\-.]+\@{1}[\w\-.]+$/ && $data{EMail}=~/^\w+/ && $data{EMail}=~/\w+$/)
{
	$errors.="Incorrect <b>e-mail</b>, you must put your e-mail address<br>\n";
	$flag=1;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT uid FROM adc2000popup_users WHERE username='$data{Username}'");
$uid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($uid)
{
	$errors.="Username $data{Username} is <b>already exist</b>, please choose different<br>\n";
	$flag=1;
}
if ($data{Username}=~/\W+/ || $data{Username} eq "")
{
	$errors.="Incorrect <b>username</b>, must be one word<br>\n";
	$flag=1;
}
if ($data{Password}=~/\W+/ || $data{Password} eq "")
{
	$errors.="Incorrect <b>password</b>, must be one word<br>\n";
	$flag=1;
}
unless ($data{URL}=~/http:\/\/.+/)
{
	$errors.="Incorrect <b>URL</b>, must start with http://<br>\n";
	$flag=1;
}
if (!$data{Sitetitle})
{
	$errors.="You must define <b>Site Title</b><br>\n";
	$flag=1;
}
&error if ($flag);
$data{Keywords}=~s/ //g;
&closedb;
open (F,"<$adcpath/template/confirm.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;

sub error
{
&closedb;
open (F,"<$adcpath/template/error.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("\n",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub closedb
{
$sth="";
$dbh="";
}
