#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$month=$cal{$month};
$month="0".$month if (length($month)==1);
$date="0".$date if (length($date)==1);
$jdate="$year-$month-$date";
@data=split("; ",$ENV{HTTP_COOKIE});
foreach (@data)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9a-fA-F]{2})/pack('C',hex ($1))/eg;
		$cookie{$field}=$value;
	}
}
@data=();
read (STDIN,$query,$ENV{CONTENT_LENGTH});
@query=split("&",$query);
foreach (@query)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9A-Fa-f]{2})/pack('C',hex($1))/eg;
		if ($data{$field}){$data{$field}.=",$value";}
		else {$data{$field}=$value;}
	}
}
$data{Username}=substr($data{Username},0,8) if (length($data{Username})>8);
if ($data{Username}=~/\W+/ || !$data{Username})
{
	$errors="Illegal script using<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_categories READ") if ($locktables);
$sth=$dbh->query("SELECT * FROM adc2000popup_categories ORDER BY category,subcategory");
while(($caid,$category,$subcategory)=$sth->fetchrow)
{
	push(@caids,$caid);
	$category=~s/APOSTROPHH/'/g;
	$subcategory=~s/APOSTROPHH/'/g;
	$categories.=qq~<option value="$caid">$category: $subcategory</option>\n~;
}
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$caids=join("#",@caids);
$caids="#$caids#";
$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT uid FROM adc2000popup_users WHERE username='$data{Username}'");
$uid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
if ($uid)
{
	$errors="Username $data{Username} is <b>already exist</b>, please choose different<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$data{Name}=~s/'/APOSTROPHH/g;
$data{Address}=~s/'/APOSTROPHH/g;
$data{City}=~s/'/APOSTROPHH/g;
$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
$sth=$dbh->query("INSERT INTO adc2000popup_users (username,password,fullname,address,city,zip,coid,phone,email,ratio,referrer,credits,jdate) VALUES ('$data{Username}','$data{Password}','$data{Name}','$data{Address}','$data{City}','$data{ZipCode}',$data{Country},'$data{Phone}','$data{EMail}',$defaultratio,'$cookie{adcenterreferal}',0,'$jdate')");
$sth=$dbh->query("SELECT LAST_INSERT_ID()");
$uid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($uid)
{
	$errors="System error, cant add data to users database<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$data{Sitetitle}=~s/'/APOSTROPHH/g;
$data{Keywords}=~s/'/APOSTROPHH/g;
$data{Description}=~s/'/APOSTROPHH/g;
$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
$sth=$dbh->query("INSERT INTO adc2000popup_sites (uid,wsname,url,caid,credits,target,descr,keywords,jdate,rdate,adate,ldate) VALUES ($uid,'$data{Sitetitle}','$data{URL}',$data{Category},$startcred,'$caids','$data{Description}','$data{Keywords}','$jdate','$jdate','$jdate','$jdate')");
$sth=$dbh->query("SELECT LAST_INSERT_ID()");
$wsid=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
unless ($wsid)
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users WRITE") if ($locktables);
	$sth=$dbh->query("DELETE FROM adc2000popup_users WHERE uid=$uid");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$errors="System error, cant add data to sites database<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_tt WRITE") if ($locktables);
$sth=$dbh->query("INSERT INTO adc2000popup_tt (uid,wsid) VALUES ($uid,$wsid)");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_counter WRITE") if ($locktables);
$sth=$dbh->query("INSERT INTO adc2000popup_counter (uid,wsid) VALUES ($uid,$wsid)");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_sessions WRITE") if ($locktables);
$sth=$dbh->query("INSERT INTO adc2000popup_sessions (uid) VALUES ($uid)");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_categories READ") if ($locktables);
$sth=$dbh->query("SELECT category,subcategory FROM adc2000popup_categories WHERE caid=$data{Category}");
($catname,$subcatname)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$sth=$dbh->query("LOCK TABLES adc2000popup_settings READ") if ($locktables);
$sth=$dbh->query("SELECT headera,footera,headeru,footeru FROM adc2000popup_settings");
($headera,$footera,$headeru,$footeru)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
$catname=~s/APOSTROPHH/'/g;
$subcatname=~s/APOSTROPHH/'/g;
$headera=~s/APOSTROPHH/'/g;
$footera=~s/APOSTROPHH/'/g;
$headeru=~s/APOSTROPHH/'/g;
$footeru=~s/APOSTROPHH/'/g;
open (MAIL,"|$progmail");
print MAIL "To: $email\n";
print MAIL "From: $data{EMail} ($data{Name})\n";
print MAIL "Subject: New User Information\n\n";
$ltime=scalar localtime; 
print MAIL $headera;
print MAIL "Name: $data{Name}\n";
print MAIL "Address: $data{Address}\n";
print MAIL "City: $data{City}\n";
print MAIL "Zip code: $data{ZipCode}\n";
print MAIL "Country: $country\n";
print MAIL "Phone number: $data{Phone}\n";
print MAIL "E-mail: $data{EMail}\n";
print MAIL "URL: $data{URL}\n";
print MAIL "Category: $catname: $subcatname ($data{Category})\n";
print MAIL "-" x 75 . "\n";
print MAIL "Username: $data{Username}\n";
print MAIL "Password: $data{Password}\n";
print MAIL $footera;
print MAIL "\n.\n";
close (MAIL);
open (MAIL,"|$progmail");
print MAIL "To: $data{EMail}\n";
print MAIL "From: $email ($owntitle)\n";
print MAIL "Subject: Welcome to our banner network\n\n";
$ltime=scalar localtime; 
print MAIL $headeru;
print MAIL "Congratulations! You became registered user in our free banner network. Now you can upload your banner to our server in Member's Section. Also there you can track your statistics and change some options.\n\n";
print MAIL "You must insert following code to your html page:\n\n";
print MAIL "<!--Begin $owntitle code-->\n";
print MAIL qq~<script type="text/javascript" language="Javascript">\n~;
print MAIL qq~document.write('<script src="$cgi/nph-adcnet.pl?$uid&$wsid&'+Math.random()+'"><\\/script>');\n~;
print MAIL qq~</script>\n~;
print MAIL "<!--End $owntitle code-->\n\n";
print MAIL "If you want to join the referral program, you must insert following code to your html page:\n\n";
print MAIL "<!--Begin $owntitle referral code-->\n";
print MAIL qq~<a href="$cgi/adcclick.pl?$uid"><img src="$adcenter/images/logo2.gif" border=0></a>\n~;
print MAIL "<!--End $owntitle referral code-->\n\n";
if ($enablecounter)
{
print MAIL "If you haven't counter on your page - you can use our free counter! Easy include following code to your html page:\n\n";
print MAIL "<!--Begin $owntitle counter code-->\n";
print MAIL qq~<script type="text/javascript" language="Javascript">\n~;
print MAIL qq~document.write('<script src="$cgi/nph-adccount.pl?$uid&$wsid&'+Math.random()+'"><\\/script>');\n~;
print MAIL qq~</script>\n~;
print MAIL "<!--End $owntitle counter code-->\n\n";
}
if ($enablemaillist)
{
print MAIL "Please insert following code to your page so your visitors can subscribe/unsubscribe to your mailling list:\n\n";
print MAIL "<!--Begin $owntitle maillist code-->\n";
print MAIL "<form action=\"$cgi/adcsubsc.pl\" method=\"post\"><input type=\"hidden\" name=\"destination\" value=\"$uid\">Your email: <input type=\"text\" size=\"30\" name=\"email\"><input type=\"submit\" value=\"Subscribe me\"><br><font size=1><input type=\"radio\" name=\"method\" checked value=\"subscribe\"> Subscribe\&nbsp;\&nbsp;\&nbsp;<input type=\"radio\" name=\"method\" value=\"unsubscribe\"> Unsubscribe</font></form>\n";
print MAIL "<!--End $owntitle maillist code-->\n\n";
}
print MAIL "-" x 75 . "\n";
print MAIL "To login to members section please go to: $adcenter/members.html\n";
print MAIL "Username: $data{Username}\n";
print MAIL "Password: $data{Password}\n\n";
print MAIL $footeru;
print MAIL "\n.\n";
close (MAIL);

#pRiNT sUCCESS
$result=qq~
Congratulations! You became registered user in our free banner network.
Now you can upload your banner to our server in Member's Section. Also there you can track your statistics and change some options.
<p>You must insert following code to your html page:<br><b><font size="2">
<center><textarea cols=50 rows=5>
<!--Begin $owntitle code-->
<script type="text/javascript" language="Javascript">
document.write('<script src="$cgi/nph-adcnet.pl?$uid&$wsid&'+Math.random()+'"><\\/script>');
</script>
<!--End $owntitle code-->
</textarea></center></font></b></p>
<p>If you want to join the referral program, you must insert following code to your html page:<br><b><font size="2">
<center><textarea cols=50 rows=5>
<!--Begin $owntitle referral code-->
<a href="$cgi/adcclick.pl?$uid"><img src="$adcenter/images/logo2.gif" border=0></a>
<!--End $owntitle referral code-->
</textarea></center></font></b></p>
~;
if ($enablecounter)
{
$result.=qq~
<p>If you haven't counter on your page - you can use our free counter! Easy place 
following code to your html page:<br><b><font size="2">
<center><textarea cols=50 rows=5>
<!--Begin $owntitle counter code-->
<script type="text/javascript" language="Javascript">
document.write('<script src="$cgi/nph-adccount.pl?$uid&$wsid&'+Math.random()+'"><\\/script>');
</script>
<!--End $owntitle counter code-->
</textarea></center></font></b></p>
~;
}
if ($enablemaillist)
{
$result.=qq~
<p>Please insert following code to your page so your visitors can subscribe to your mailling list:<br><b><font size="2">
<center><textarea cols=50 rows=5>
<!--Begin $owntitle maillist code-->
<form action=\"$cgi/adcsubsc.pl\" method=\"post\"><input type=\"hidden\" name=\"destination\" value=\"$uid\">Your email: <input type=\"text\" size=\"30\" name=\"email\"><input type=\"submit\" value=\"Subscribe me\"><br><font size=1><input type="radio" name="method" checked value="subscribe"> Subscribe &amp;nbsp;&amp;nbsp;&amp;nbsp;<input type="radio" name="method" value="unsubscribe"> Unsubscribe</font></form>
<!--End $owntitle maillist code-->
</textarea></center></font></b></p>
~;
}
open (F,"<$adcpath/template/success.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;

sub error
{
&closedb;
open (F,"<$adcpath/template/error.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub closedb
{
$sth="";
$dbh="";
}
