#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
read (STDIN,$query,$ENV{CONTENT_LENGTH});
@query=split("&",$query);
foreach (@query)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9A-Fa-f]{2})/pack('C',hex($1))/eg;
		$data{$field}=$value;
	}
}
unless ($data{email}=~/^[\w\-.]+\@{1}[\w\-.]+$/ && $data{email}=~/^\w+/ && $data{email}=~/\w+$/)
{
	$errors="Incorrect <b>e-mail</b>, you must put your e-mail address<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$destination=$data{method};
&$destination;

sub subscribe
{
if ($data{destination})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
	$sth=$dbh->query("SELECT status FROM adc2000popup_users WHERE (uid='$data{destination}')");
	$status=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
else
{
	$errors="Unknown account<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
if ($status==2)
{
	$errors="Account temporary disabled<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
if ($status!=1)
{
	$errors="Unknown account - possible it was removed<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_ml WRITE") if ($locktables);
$sth=$dbh->query("SELECT email FROM adc2000popup_ml WHERE (uid='$data{destination}' AND email='$data{email}')");
$flg=$sth->fetchrow;
if ($flg)
{
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$errors="You email is already subscribed to this maillist<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$sth=$dbh->query("INSERT INTO adc2000popup_ml (uid,email) VALUES ($data{destination},'$data{email}')");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
open (F,"<$adcpath/template/subscr.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub unsubscribe
{
if ($data{destination})
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_users READ") if ($locktables);
	$sth=$dbh->query("SELECT status FROM adc2000popup_users WHERE (uid='$data{destination}')");
	$status=$sth->fetchrow;
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
}
else
{
	$errors="Unknown account<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
if ($status==2)
{
	$errors="Account temporary disabled<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
if ($status!=1)
{
	$errors="Unknown account - possible it was removed<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_ml WRITE") if ($locktables);
$sth=$dbh->query("SELECT email FROM adc2000popup_ml WHERE (uid='$data{destination}' AND email='$data{email}')");
$flg=$sth->fetchrow;
unless ($flg)
{
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	$errors="You email is not subscribed to this maillist<br>\n";
	&closedb;
	open (F,"<$adcpath/template/error.tpl");
	@htmlpage=<F>;
	close (F);
	$htmlpage=join("",@htmlpage);
	$htmlpage="print qq~$htmlpage~;";
	print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
	print "content-type: text/html\n\n";
	eval $htmlpage;
	exit;
}
$sth=$dbh->query("DELETE FROM adc2000popup_ml WHERE (uid='$data{destination}' AND email='$data{email}')");
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&closedb;
open (F,"<$adcpath/template/unsubscr.tpl");
@htmlpage=<F>;
close (F);
$htmlpage=join("",@htmlpage);
$htmlpage="print qq~$htmlpage~;";
print "HTTP/1.0 200 Found\n" if ($sysid eq "Windows");
print "content-type: text/html\n\n";
eval $htmlpage;
exit;
}
sub closedb
{
$sth="";
$dbh="";
}
