#!/usr/bin/perl
use Mysql;

#    ADC2000 SQL Popup v1.0 - popunder exchange perl software
#    Copyright (C) 1998-2010  T&D Systems, Inc.
#    http://www.td-systems.com/
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

open (F, "<adc.cfg");
@commands=<F>;
close (F);
foreach (@commands)
{
	eval $_;
}

$dbh=Mysql->connect($mysqlhost,$mysqldb,$mysqllogin,$mysqlpassword);
@data=split("; ",$ENV{HTTP_COOKIE});
foreach (@data)
{
	/([^=]+)=(.*)/ && do
	{
		($field,$value)=($1,$2);
		$value=~s/\+/ /g;
		$value=~s/%([0-9a-fA-F]{2})/pack('C',hex ($1))/eg;
		$cook{$field}=$value;
	}
}
@data=();
&output_nothing if ($cook{adc2000id});
($day,$month,$date,$time,$year)=split(" ",scalar localtime);
$today="$year-$cal{$month}-$date";
($hour)=split(":",$time);
$field="h$hour";
$field2="th$hour";
($uid,$wsid,$random)=split("&",$ENV{QUERY_STRING});
&output_nothing if (!$random || !$uid || !$wsid);
$sth=$dbh->query("LOCK TABLES adc2000popup_sites READ, adc2000popup_users READ") if ($locktables);
$sth=$dbh->query("SELECT ratio,referrer,caid,adc2000popup_sites.uid,adc2000popup_sites.status,adc2000popup_users.status FROM adc2000popup_sites, adc2000popup_users WHERE (adc2000popup_sites.uid=adc2000popup_users.uid AND wsid=$wsid)");
($ratio,$referrer,$caid,$uidcheck,$status,$statusz)=$sth->fetchrow;
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
&output_nothing if ($statusz==2 || $status==4 || $uid!=$uidcheck);
if ($status==3)
{
	$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE") if ($locktables);
	$sth=$dbh->query("UPDATE adc2000popup_sites SET ldate='$today' WHERE (uid=$uid AND wsid=$wsid)");
	$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
	&output_nothing;
}
$sth=$dbh->query("LOCK TABLES adc2000popup_sites WRITE, adc2000popup_pv WRITE, adc2000popup_aff WRITE, adc2000popup_users WRITE, adc2000popup_tt READ") if ($locktables);
$sth=$dbh->query("SELECT wsid,uid FROM adc2000popup_sites WHERE (bcredits>0 AND wsid!=$wsid)");
while(($twsid,$tuid)=$sth->fetchrow){push(@blitz,"$twsid\t$tuid");}
if (@blitz)
{
	srand;
	$item=$blitz[int(rand scalar(@blitz))];
	($twsid,$tuid)=split("\t",$item);
	$flag=1;
	$sth=$dbh->query("UPDATE adc2000popup_sites SET bcredits=bcredits-1 WHERE wsid=$twsid");
	$sth=$dbh->query("SELECT wsid FROM adc2000popup_pv WHERE (wsid=$twsid AND statd='$today')");
	$flg=$sth->fetchrow;
	$sth=$dbh->query("INSERT INTO adc2000popup_pv (uid,wsid,statd) VALUES ($tuid,$twsid,'$today')") unless ($flg);
	$sth=$dbh->query("UPDATE adc2000popup_pv SET $field=$field+1 WHERE (wsid=$twsid AND statd='$today')");
	$sth=$dbh->query("SELECT wsid FROM adc2000popup_aff WHERE (wsid=$twsid AND uid=$tuid AND swsid=$wsid AND suid=$uid)");
	$flg=$sth->fetchrow;
	$sth=$dbh->query("INSERT INTO adc2000popup_aff (uid,wsid,suid,swsid) VALUES ($tuid,$twsid,$uid,$wsid)") unless ($flg);
	$sth=$dbh->query("UPDATE adc2000popup_aff SET shown=shown+1 WHERE (wsid=$twsid AND uid=$tuid AND swsid=$wsid AND suid=$uid)");
	&output_code;
}
$sth=$dbh->query("SELECT wsid,$field FROM adc2000popup_pv WHERE (wsid!=$wsid AND statd='$today')");
while(($twsid,$stats)=$sth->fetchrow){$shown[$twsid]=$stats;}
$sth=$dbh->query("SELECT adc2000popup_sites.wsid,adc2000popup_sites.uid,$field2 FROM adc2000popup_sites, adc2000popup_users, adc2000popup_tt WHERE (adc2000popup_sites.wsid!=$wsid AND target LIKE '%#$caid#%' AND (adc2000popup_sites.status=1 OR adc2000popup_sites.status=3) AND adc2000popup_sites.credits>=1 AND adc2000popup_sites.uid=adc2000popup_users.uid AND adc2000popup_users.status=1 AND adc2000popup_sites.wsid=adc2000popup_tt.wsid AND $field2>0)");
while(($twsid,$tuid,$limit)=$sth->fetchrow){push(@data,"$twsid\t$tuid") if ($limit>$shown[$twsid]);}
if (@data)
{
	srand;
	$item=$data[int(rand scalar(@data))];
	($twsid,$tuid)=split("\t",$item);
	$flag=1;
	$sth=$dbh->query("UPDATE adc2000popup_sites SET credits=credits-1 WHERE wsid=$twsid");
	$sth=$dbh->query("SELECT wsid FROM adc2000popup_pv WHERE (wsid=$twsid AND statd='$today')");
	$flg=$sth->fetchrow;
	$sth=$dbh->query("INSERT INTO adc2000popup_pv (uid,wsid,statd) VALUES ($tuid,$twsid,'$today')") unless ($flg);
	$sth=$dbh->query("UPDATE adc2000popup_pv SET $field=$field+1 WHERE (wsid=$twsid AND statd='$today')");
	$sth=$dbh->query("SELECT wsid FROM adc2000popup_aff WHERE (wsid=$twsid AND uid=$tuid AND swsid=$wsid AND suid=$uid)");
	$flg=$sth->fetchrow;
	$sth=$dbh->query("INSERT INTO adc2000popup_aff (uid,wsid,suid,swsid) VALUES ($tuid,$twsid,$uid,$wsid)") unless ($flg);
	$sth=$dbh->query("UPDATE adc2000popup_aff SET shown=shown+1 WHERE (wsid=$twsid AND uid=$tuid AND swsid=$wsid AND suid=$uid)");
	&output_code;
}
else
{
	$sth=$dbh->query("SELECT wsid,adc2000popup_sites.uid FROM adc2000popup_sites, adc2000popup_users WHERE (username='$yourname' AND adc2000popup_users.uid=adc2000popup_sites.uid)");
	while(($twsid,$tuid)=$sth->fetchrow){push(@data,"$twsid\t$url\t$tuid");}
	if (@data)
	{
		srand;
		$item=$data[int(rand scalar(@data))];
		($twsid,$tuid)=split("\t",$item);
		$flag=1;
		$sth=$dbh->query("UPDATE adc2000popup_sites SET credits=credits-1 WHERE (wsid=$twsid AND credits>=1)");
		$sth=$dbh->query("SELECT wsid FROM adc2000popup_pv WHERE (wsid=$twsid AND statd='$today')");
		$flg=$sth->fetchrow;
		$sth=$dbh->query("INSERT INTO adc2000popup_pv (uid,wsid,statd) VALUES ($tuid,$twsid,'$today')") unless ($flg);
		$sth=$dbh->query("UPDATE adc2000popup_pv SET $field=$field+1 WHERE (wsid=$twsid AND statd='$today')");
		$sth=$dbh->query("SELECT wsid FROM adc2000popup_aff WHERE (wsid=$twsid AND uid=$tuid AND swsid=$wsid AND suid=$uid)");
		$flg=$sth->fetchrow;
		$sth=$dbh->query("INSERT INTO adc2000popup_aff (uid,wsid,suid,swsid) VALUES ($tuid,$twsid,$uid,$wsid)") unless ($flg);
		$sth=$dbh->query("UPDATE adc2000popup_aff SET shown=shown+1 WHERE (wsid=$twsid AND uid=$tuid AND swsid=$wsid AND suid=$uid)");
		&output_code;
	}
}
&output_code;

sub output_code
{
$sth=$dbh->query("UNLOCK TABLES") if ($locktables);
$twsid=0 if (!$flag);
$owntitle=~s/ /\_/g;
&closedb;
print "HTTP/1.0 200 OK\n";
print "content-type: application/x-javascript\n\n";
print qq~function MakeBottomWindow() { document.cookie="adc2000c=1 ;";var url = '$cgi/adcredir.pl?$uid&$wsid&$twsid';var width = '$banwidth';var height = '$banheight';var p = 'scrollbars=yes,resizable=yes,toolbar=no,menubar=no,status=no,location=no,left=85,top=20,height='+height+',width='+width;var start;if (document.cookie.indexOf('adc2000c=')>=0) {var botwin = window.open(url,"$owntitle",p);self.focus();}} MakeBottomWindow();~;
exit;
}
sub output_nothing
{
&closedb;
print "HTTP/1.0 200 OK\n";
print "content-type: application/x-javascript\n\n";
print " ";
exit;
}
sub closedb
{
$sth="";
$dbh="";
}
